Open CASCADE Technology: OpenGl_Flipper Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
OpenGl_Flipper Class Reference

Being rendered, the elements modifies current model-view matrix such that the axes of the specified reference system (in model space) become oriented in the following way: More...

`#include <OpenGl_Flipper.hxx>`

Inheritance diagram for OpenGl_Flipper:
[legend]

## Public Member Functions
| OpenGl_Flipper (const gp_Ax2 &theReferenceSystem)
| Construct rendering element to flip model-view matrix along the reference system to ensure up-Y, right-X orientation. More...
void | SetOptions (const Standard_Boolean theIsEnabled)
| Set options for the element. More...
virtual void | Render (const Handle< OpenGl_Workspace > &theWorkspace) const
virtual void | Release (OpenGl_Context *theCtx)
| Release GPU resources. Pointer to the context is used because this method might be called when the context is already being destroyed and usage of a handle would be unsafe. More...
Public Member Functions inherited from OpenGl_Element
| OpenGl_Element ()
Standard_Boolean | RenderFiltered (const Handle< OpenGl_Workspace > &theWorkspace, const Handle< OpenGl_RenderFilter > &theFilter) const
| Render element if it passes the filtering procedure. This method should be used for elements which can be used in scope of rendering algorithms. E.g. elements of groups during recursive rendering. If render filter is null, pure rendering is performed. More...

## Protected Attributes
OpenGl_Vec4 | myReferenceOrigin
OpenGl_Vec4 | myReferenceX
OpenGl_Vec4 | myReferenceY
OpenGl_Vec4 | myReferenceZ
Standard_Boolean | myIsEnabled

## Additional Inherited Members
Static Public Member Functions inherited from OpenGl_Element
template<typename theResource_t >
static void | Destroy (OpenGl_Context *theContext, theResource_t *&theElement)
| Pointer to the context is used because this method might be called when the context is already being destroyed and usage of a handle would be unsafe. More...
Protected Member Functions inherited from OpenGl_Element
virtual | ~OpenGl_Element ()

## Detailed Description

Being rendered, the elements modifies current model-view matrix such that the axes of the specified reference system (in model space) become oriented in the following way:

- X - heads to the right side of view.
- Y - heads to the up side of view.
- N(Z) - heads towards the screen. Originally, this element serves for need of flipping the 3D text of dimension presentations.

## Constructor & Destructor Documentation

OpenGl_Flipper::OpenGl_Flipper | ( | const gp_Ax2 & | theReferenceSystem | ) |

Construct rendering element to flip model-view matrix along the reference system to ensure up-Y, right-X orientation.

Parameters

  theReferenceSystem | [in] the reference coordinate system.

## Member Function Documentation

virtual void OpenGl_Flipper::Release | ( | OpenGl_Context * | theContext | ) |
| virtual

Release GPU resources. Pointer to the context is used because this method might be called when the context is already being destroyed and usage of a handle would be unsafe.

Implements OpenGl_Element.

virtual void OpenGl_Flipper::Render | ( | const Handle< OpenGl_Workspace > & | theWorkspace | ) | const
| virtual

Implements OpenGl_Element.

void OpenGl_Flipper::SetOptions | ( | const Standard_Boolean | theIsEnabled | ) |
| inline

Set options for the element.

Parameters

  theIsEnabled | [in] flag indicates whether the flipper matrix modification should be set up or restored back.

## Field Documentation

Standard_Boolean OpenGl_Flipper::myIsEnabled
| protected

OpenGl_Vec4 OpenGl_Flipper::myReferenceOrigin
| protected

OpenGl_Vec4 OpenGl_Flipper::myReferenceX
| protected

OpenGl_Vec4 OpenGl_Flipper::myReferenceY
| protected

OpenGl_Vec4 OpenGl_Flipper::myReferenceZ
| protected

The documentation for this class was generated from the following file:

- OpenGl_Flipper.hxx